// ----------------------------------------------------------------------
// Overview
//   Recognition results display window class (MGR)
// ----------------------------------------------------------------------
#ifndef __TXTWIN_RESULT_MGR__
#define __TXTWIN_RESULT_MGR__

// ----------------------------------------------------------------------
// include system header
// ----------------------------------------------------------------------
#include	<nn/hid.h>

// ----------------------------------------------------------------------
// include original header
// ----------------------------------------------------------------------
#include	"TxtWindow.h"
#include	"TxtMenu.h"
#include	"mgr.h"

// ----------------------------------------------------------------------
// using namespace
// ----------------------------------------------------------------------
using namespace nn::hid;

// ----------------------------------------------------------------------
// class 
// ----------------------------------------------------------------------
class CTxtWinResultMgr : public CTxtWindow
{
public:
	CTxtWinResultMgr();
	~CTxtWinResultMgr();

	void		UpdateResult(MGResult* result);

	int			Draw(CCtrlGraphics* graphics, const s32 display, int sx, int sy);

private:
	MGResult	m_result;
};

#endif // __TXTWIN_RESULT_MGR__
