// ----------------------------------------------------------------------
// Overview
//   Window class displayed at startup
// ----------------------------------------------------------------------
#ifndef __TXTWIN_STARTUP__
#define __TXTWIN_STARTUP__

// ----------------------------------------------------------------------
// include original header
// ----------------------------------------------------------------------
#include	"TxtWindow.h"
#include	"TxtMenu.h"

// ----------------------------------------------------------------------
// Enums
// ----------------------------------------------------------------------
typedef enum
{
	eSTART_VGA,			// Cannot be used
	eSTART_QVGA,		// Cannot be used
	eSTART_QQVGA,
	eSTART_DS_LCD
}eSTART_MODE;

// ----------------------------------------------------------------------
// class
// ----------------------------------------------------------------------
class CTxtWinStartup : public CTxtWindow
{
public:
	CTxtWinStartup();
	~CTxtWinStartup();

	int			DoModal(CCtrlGraphics* graphics, const s32 display, int sx, int sy);

	eSTART_MODE GetStartMode();

private:
	CTxtMenu	m_menu;
};

#endif // __TXTWIN_STARTUP__
