#include "CTR_Tick.h"
#include <nn/os.h>
using namespace nn::os;

#ifdef __cplusplus
extern "C" {
#endif

void CTR_TickInit( void ){

}

unsigned long CTR_GetTick( void ){

    unsigned long ret = 0;

    Tick tick = Tick::GetSystemCurrent();
#ifdef TIME_SET_USEC
    ret =  (unsigned long)tick.ToTimeSpan().GetMicroSeconds();
#else
    ret =  (unsigned long)tick.ToTimeSpan().GetMilliSeconds();
#endif /* #ifdef TIME_SET_USEC */

    return ret;
}


#ifdef __cplusplus
}
#endif



